ranges::common_pair< F, S > Struct Template Reference
Inheritance diagram for ranges::common_pair< F, S >:

## Public Member Functions

template<typename F2 , typename S2 >
CPP_TEMPLATE_AUX_0 | c (requires ` constructible_from< F, F2 & > &&constructible_from< S, S2 & >) cccommon_pair(std
template<typename F2 , typename S2 >
CPP_TEMPLATE_AUX_0 | c (requires ` constructible_from< F, F2 > &&constructible_from< S, S2 >) cccommon_pair(F2 &&f2
template<typename F2 , typename S2 >
CPP_TEMPLATE_AUX_0 | c (requires ` constructible_from< F, F2 > &&constructible_from< S, S2 >) cccommon_pair(std
template<typename F2 , typename S2 >
CPP_TEMPLATE_AUX_0 | c (requires ` constructible_from< F, F2 const & > &&constructible_from< S, S2 const & >) cccommon_pair(std
CPP_TEMPLATE_AUX_0 S2 &&s2 | noexcept (std::is_nothrow_constructible< F, F2 >::value &&std::is_nothrow_constructible< S, S2 >::value)
template<typename F2 , typename S2 >
CPP_TEMPLATE_AUX_0 | o (requires ` constructible_from< F2, F & > &&constructible_from< S2, S & >) oooperator std
template<typename F2 , typename S2 >
CPP_TEMPLATE_AUX_0 | o (requires ` constructible_from< F2, F > &&constructible_from< S2, S >) oooperator std
template<typename F2 , typename S2 >
CPP_TEMPLATE_AUX_0 | o (requires ` constructible_from< F2, F const & > &&constructible_from< S2, S const & >) oooperator std